jQuery(document).ready(function($) {
	//alert("js is working");
	//event to show the box controls when the mouse hovers the box
	//applies to all elements with class="box"
	$('.box').mouseover(function(){
			//alert(this.id);
			//replace string "box" with "controls"
			var dyn_var = "#" + this.id.replace("box","controls");
			$(dyn_var).show();
	});
	
	//initialize box controls
	$('.box .controls').hide(); //hide all box controls
	
	//hide box when mouse exits box
	$('.box').mouseout(function(){
		$('.box .controls').hide();
	});
	
	//load box content (after page loads)
	//RSS feeds are loaded seperately
	loadboxcontent('box-id1');
	loadboxcontent('box-id2');
	//etc...
});

//this function takes the id of the div and loads content into a child div with id = box_id parameter
//it can be applied to any box control as it dynamically creates the js variables to pickup the objects
//div container id = box_id
//php script name = box_id.php
function loadboxcontent(box_id){
	//perform an initial check to see if box_id has been supplied
	if (box_id == '') { return false; }
	
	var loading_image="loader.gif"; //Full URL to "loading" image.
	var loading_text = '<p><img class="textmiddle" src="'+loading_image+'" /> Loading '+box_id.replace(/-/g," ")+'...</p>';
	var script_path = "";
	var box_container = document.getElementById(box_id);
	box_container.innerHTML = loading_text;
	
	//record the result of the AJAX request
	//(async = false) they load in order and wait until the previous is finished
	//(async = true) they all load at the same time
	var result = false;
    $.ajax({
      url: script_path+box_id+".php",
      type: 'POST',
      async: true,
      data: {blogs: 30},
      success: function(data) {
      	 //alert(data);
      	 result = true;
      	 document.getElementById(box_id).innerHTML = data;
      }
    });
    //alert(result);
    if (result == false) { document.getElementById(box_id).innerHTML = '<p>Could not refesh data, try refreshing the page</p>'; }
    else { alert("Content refreshed successfully!");   }
}
